ubuntu14.04下安装nodejs

1、进入官网下载合适的版本,直接下编译好的版本。http://nodejs.cn/
这里写图片描述
2、解压到usr/local/node目录下
3、修改目录权限:chmod 755 /usr/local/node/* -R
4、进入node/bin目录,然后./node -v 可以看到对应的版本
5、接着配置环境变量,nano ~/.bashrc
6、在文末加入,然后ctrl+X保存退出。
export NODE=/usr/local/node
export PATH=NODE/bin:PATH
7、source ~/.bashrc让文件生效。
8、在任何目录即可执行node了。

ubuntu14.04安装jdk

07-14

我下载了jdk-8u5-linux-x64.rpm 、jdk-8u5-linux-x64.tar.gz可是我那个都不会安,按着网上安装rpm的那个却出现了这样。rnrpm:RPM should not be used directly install RPM packages, use Alien instead!rnrpm:However assuming you know what you are doing...rn错误: 依赖检测失败:rn /bin/basename 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/cat 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/cp 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/gawk 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/grep 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/ln 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/ls 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/mkdir 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/mv 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/pwd 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/rm 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/sed 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/sort 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/touch 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /usr/bin/cut 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /usr/bin/dirname 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /usr/bin/expr 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /usr/bin/find 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /usr/bin/tail 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /usr/bin/tr 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /usr/bin/wc 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn /bin/sh 被 jdk-2000:1.8.0_05-fcs.x86_64 需要rn要怎么安装才能行啊

没有更多推荐了,返回首页

私密
私密原因:
请选择设置私密原因
  • 广告
  • 抄袭
  • 版权
  • 政治
  • 色情
  • 无意义
  • 其他
其他原因:
120
出错啦
系统繁忙,请稍后再试